## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate ctrlc

Name:           rust-ctrlc
Version:        3.4.6
Release:        %autorelease
Summary:        Easy Ctrl-C handler for Rust projects

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ctrlc
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          ctrlc-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Easy Ctrl-C handler for Rust projects.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termination-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termination-devel %{_description}

This package contains library source intended for building other packages which
use the "termination" feature of the "%{crate}" crate.

%files       -n %{name}+termination-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Apr 28 2025 Fabio Valentini <decathorpe@gmail.com> - 3.4.6-1
- Update to version 3.4.6; Fixes RHBZ#2357480

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 17 2024 Fabio Valentini <decathorpe@gmail.com> - 3.4.5-1
- Update to version 3.4.5; Fixes RHBZ#2304342

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Apr 14 2024 Fabio Valentini <decathorpe@gmail.com> - 3.4.4-1
- Update to version 3.4.4; Fixes RHBZ#2268727

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Dec 27 2023 Fabio Valentini <decathorpe@gmail.com> - 3.4.2-1
- Update to version 3.4.2; Fixes RHBZ#2255632

* Fri Nov 10 2023 Fabio Valentini <decathorpe@gmail.com> - 3.4.1-1
- Update to version 3.4.1; Fixes RHBZ#2237076

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 04 2023 Fabio Valentini <decathorpe@gmail.com> - 3.4.0-1
- Update to version 3.4.0; Fixes RHBZ#2209216

* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 3.3.0-1
- Update to version 3.3.0; Fixes RHBZ#2208791

* Thu Feb 09 2023 Fabio Valentini <decathorpe@gmail.com> - 3.2.5-1
- Update to version 3.2.5; Fixes RHBZ#2167150

* Mon Jan 30 2023 Fabio Valentini <decathorpe@gmail.com> - 3.2.4-1
- Update to version 3.2.4; Fixes RHBZ#2118149

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 3.2.2-1
- Update to version 3.2.2; Fixes RHBZ#2078121

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Fabio Valentini <decathorpe@gmail.com> - 3.2.1-1
- Update to version 3.2.1; Fixes RHBZ#2011594

* Wed Aug 11 2021 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Update to version 3.2.0; Fixes RHBZ#1992241

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 29 2021 Fabio Valentini <decathorpe@gmail.com> - 3.1.9-1
- Update to version 3.1.9.
- Fixes RHBZ#1949051

* Mon Mar 01 2021 Fabio Valentini <decathorpe@gmail.com> - 3.1.8-1
- Update to version 3.1.8.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 09 2020 Fabio Valentini <decathorpe@gmail.com> - 3.1.7-1
- Update to version 3.1.7.
- Fixes RHBZ#1887212

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 3.1.6-1
- Update to 3.1.6

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 2020 Josh Stone <jistone@redhat.com> - 3.1.5-1
- Update to 3.1.5

* Fri Feb 21 2020 Josh Stone <jistone@redhat.com> - 3.1.4-1
- Update to 3.1.4

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 11:03:51 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.1.3-2
- Regenerate

* Sun Jun 09 13:56:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.1.3-1
- Update to 3.1.3

* Tue Jun 04 2019 Josh Stone <jistone@redhat.com> - 3.1.2-2
- Bump nix to 0.14

* Wed Apr 24 08:33:38 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.1.2-1
- Update to 3.1.2

* Mon Feb 04 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.1.1-4
- Update nix to 0.13

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 29 2018 Josh Stone <jistone@redhat.com> - 3.1.1-2
- Adapt to new packaging

* Tue Jul 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.1.1-1
- Update to 3.1.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.1.0-3
- Bump nix to 0.10

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.3-2
- Rebuild for rust-packaging v5

* Thu Jan 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.3-1
- Initial package

## END: Generated by rpmautospec
